File 0509-01fips-Remove-zlib-module-as-requirement.patch of Package dracut.16003

From 17eff2759ab2d5e3622864fb06a7657c7f95bfd3 Mon Sep 17 00:00:00 2001
From: Daniel Molkentin <dmolkentin@suse.com>
Date: Wed, 1 Mar 2017 11:43:39 +0100
Subject: [PATCH] 01fips: Remove zlib module as requirement

zlib has been removed from the upstream kernel, affecting SLE12SP3.
This patch must not be backported to SLE12SP2 and earlier (bsc#1020063).
---
 modules.d/01fips/module-setup.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/modules.d/01fips/module-setup.sh b/modules.d/01fips/module-setup.sh
index 0bca7a1..e29af08 100755
--- a/modules.d/01fips/module-setup.sh
+++ b/modules.d/01fips/module-setup.sh
@@ -17,7 +17,7 @@ installkernel() {
     _fipsmodules+="ctr cts deflate drbg "
     _fipsmodules+="ecb fcrypt gcm ghash_generic khazad md4 michael_mic rmd128 "
     _fipsmodules+="rmd160 rmd256 rmd320 seed "
-    _fipsmodules+="sha512_generic tcrypt tea wp512 xts zlib "
+    _fipsmodules+="sha512_generic tcrypt tea wp512 xts "
     _fipsmodules+="aes_s390 des_s390 sha256_s390 ghash_s390 sha1_s390 sha512_s390 "
     _fipsmodules+="gf128mul "
     _fipsmodules+="cmac vmac xcbc salsa20_generic salsa20_x86_64 camellia_generic camellia_x86_64 pcbc tgr192 anubis "
-- 
2.10.2